import unicodedata


def decode(text):
    if isinstance(text, unicode):
        return text
    try:
        return text.decode("utf-8")
    except:
        import pdb;pdb.set_trace()


def fixDeprecated(string):
    """
    Replace deprecated pre-composed Sanskrit vowels.
    """
    string = string.replace(u"\u0f76", u"\u0fb2\u0f80")
    string = string.replace(u"\u0f77", u"\u0fb2\u0f71\u0f80")
    string = string.replace(u"\u0f78", u"\u0fb3\u0f80")
    string = string.replace(u"\u0f79", u"\u0fb3\u0f71\u0f80")
    return string.replace(u"\u0f81", u"\u0f71\u0f80")


def getUnicode(name=""):
    return unicodedata.lookup(name)
