from tibetan.translit.unicode import grammar, mapper
from tibetan import util


def toWylie(tibetan):
    wylie = ""
    decoded = util.decode(tibetan)
    parsed = grammar.sentence.parseString(decoded)
    for sentences in parsed:
        for syllables in sentences:
            for stacks in syllables:
                for stack in stacks:
                    #import pdb;pdb.set_trace()
                    wylieTop = mapper.tib_top.get(stack.top)
                    wylieSub = ""
                    wylieVowel = "a"
                    if stack.subjoined:
                        wylieSub = mapper.tib_subjoined.get(stack.subjoined) or ""
                        #import pdb;pdb.set_trace()
                    if stack.vowel:
                        wylieVowel = mapper.tib_vowel.get(stack.vowel) or ""
                    wylie += wylieTop + wylieSub + wylieVowel
            wylie += " "
        # XXX check for sentence ending type
        #wylie += ...
    return wylie
