# -*- coding: utf-8 -*-
from unittest import TestCase

from tibetan.translit.unicode import converter


class ConverterTestCase(TestCase):

    def test_toWylie(self):
        tibetan = "ཁ་ས་མི་ཕྱུག་པོ་འདིའི་ཁང་པ་གོང་ཆེན་པོ་ཞིག་གཟིགས་སོང་།"
        wylie = converter.toWylie(tibetan)
        expected = ("kha sa mi phyug po 'di'i khang pa gong chen po "
                    "zhig gzigs song /")
        self.assertEqual(wylie, expected)
